#include<iostream>
#include<vector>
using namespace std;
int main(){
    int n, x, y, cena=0;
    cin>>n;
    vector<int> r(n, 0);
    vector<int> c(n, 0);
    for(int i=0; i<n; i++){
            cin>>x>>y;
            r[x-1]++;
            c[y-1]++;
            }
    for(int i=0; i<n; i++){
            if(r[i]>1) cena=cena+r[i]-1;
            if(c[i]>1) cena=cena+c[i]-1;
            }
    cout<<cena;
    
    return 0;}